<template>
  <div class="row">
    <div class="col-md-4 col-xs-12 col-s-12">
      <div class="box">
        <ob-address-input
          title="Откуда"
          :prefixIcon="addressFrom && addressFrom.icon || ''"
          placeholder="Введите адрес"
          :show-map="false"
          @input="setAddressFrom"
          @on-change-address="setAddressFrom"
          class="mb-10"
        />
        <ob-address-input
          title="Куда"
          :prefixIcon="addressTo && addressTo.icon || ''"
          placeholder="Введите адрес"
          :show-map="false"
          @input="setAddressTo"
          @on-change-address="setAddressTo"
        />
      </div>
    </div>
  </div>
</template>

<script>
import obAddressInput from 'common-components/src/obComponents/obAddressInput';
import { getIconByLocation } from '@/helpers';

export default {
  props: {
    transports: {
      type: Array,
    },
    transportTypes: {
      type: Array,
    },
  },
  name: 'FuncPanel',
  components: {
    obAddressInput,
  },
  data() {
    return {
      locationTypes: [],
      addressFrom: null,
      addressTo: null,
      activeTransportationWay: '',
      activeTransport: '',
      activeTransportType: '',
      selectedOption: '',
      location: {},
      searchResults: [],
    };
  },
  methods: {
    setAddressFrom(location) {
      if (location.locationUuid) {
        this.addressFrom = location;
        this.addressFrom.icon = getIconByLocation(location.location_type_uuid);
        this.changeLocations();
      } else {
        console.error('location doesnt have uuid');
      }
    },
    setAddressTo(location) {
      if (location.locationUuid) {
        this.addressTo = location;
        this.addressTo.icon = getIconByLocation(location.location_type_uuid);
        this.changeLocations();
      } else {
        console.error('location doesnt have uuid');
      }
    },
    changeLocations() {
      this.$emit('change', { from: this.addressFrom, to: this.addressTo });
    },
    changeTransport() {
      this.$emit('transportChanged', this.activeTransport);
    },
    setTransportType() {
      this.$emit('transportTypeChanged', this.activeTransportType);
    },
  },
};
</script>

<style lang="scss" scoped>
$cobalt-black: #191e32;
$shale-gray: #474b5b;
$gray-slate: #737682;

@import '~common-components/src/static/css/mixins';

.base-prices-header {
  padding: 25px 7px;
  margin: 0;
  width: 100%;
}
.mb-10 {
  margin-bottom: 10px;
}
.control-group-52 {
  height: 52px;
}
</style>
